<?
require('conexion.php');

header('Content-Type: text/xml');//le digo al browser que es un documento xml
echo '<?xml version="1.0" encoding="iso-8859-1" standalone="no"?>';//le coloco la version de xml y a codificacion



$nombre = strtoupper($_GET['nombre']);
$email = $_GET['email'];
$motivo = $_GET['motivo'];
$telefono = $_GET['telefono'];
$codigo_postal = $_GET['codigo_postal'];

$provincia = substr($codigo_postal,0,strlen($codigo_postal)-3);

$email_tabla = eregi_replace("@","#",$email);

$fecha_pre1 = date('Y-m-d');

$ultmodi = date('YmdH:i');


//comprobamos si existe en potenciales
$rsql = "SELECT * FROM POTENCIALES WHERE (EMAIL like '$email_tabla')";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
$num_results = odbc_fetch_row($results);
if ($num_results>=1) {
	//existe, modificamos sus datos
	$tsql =  "UPDATE POTENCIALES SET NOBOLETIN='1', USU_NOBOLETIN='WB', FEC_NOBOLETIN='$fecha_pre1', MOTI_NOBOLETIN='$motivo' WHERE EMAIL='$email_tabla'";
$results=odbc_exec($cid,$tsql)or die(exit("Error en odbc_exec"));
	
	
	echo '<datos>';
	echo '<respuesta>1</respuesta>';
	echo '</datos>';
}
else {
	
			

	
	
	echo '<datos>';
echo '<respuesta>2</respuesta>';
echo '</datos>';
}

//echo '</xml>';

?>